document.write("<script src='/user/misc.js' type='text/javascript'></script>");
document.write("<script src='/user/splash.js' type='text/javascript'></script>");

var xmlhttp;
var timeout;
var splashDiv;
var startingSplashDiv;
var exitSplashDiv;


// Start by requesting the channel settings so we know which curves to ask for.
window.onload = initialize;

//////////////////////////////////////////////////////////////////////////////
function initialize()
{



	xmlhttp = misc_getXmlRequestObject();
		
	
	//Get a sample, to use to configure page
	if (xmlhttp != null){

		xmlhttp.open("GET","/user/about.txt",false); //XML request is blocking (not asynchronous)
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data
		
		timeout = setTimeout(xmlTimeout, 2000);		
	
		
		xmlhttp.send(null); //this blocks because of false in "open" command

		onAboutResponse();

	}else{
		alert("Your browser does not support XMLHTTP.");
	}
}



//////////////////////////////////////////////////////////////////////////////
function onAboutResponse()
{
	if(xmlhttp.readyState != 4){
		return;
	}
	
	if(xmlhttp.status == 0 ){
		//Status that seems to happen when we close a page with a pending request.
		return;
	}

	if(xmlhttp.status != 200){
		alert("Problem retrieving XML data");
		return;
	}
	
//	alert("got text "+xmlhttp.responseText);

	var strHtmlText = xmlhttp.responseText.replace(new RegExp( "\\n", "g" ),"<br />");
	strHtmlText = strHtmlText.replace(new RegExp( "\\t", "g" ),"&nbsp;&nbsp;&nbsp;&nbsp;");
	document.getElementById('about_content').innerHTML =strHtmlText ;
	
	clearXmlTimeout();
}



////////////////////////////////////////////////////////////////////////////////////////////
function xmlTimeout()
{
	splashDiv = getSplash("Mutli-Tracer Busy", "Please wait", document.getElementById('content_holder') );
	splashDiv.id = "splash";
}

////////////////////////////////////////////////////////////////////////////////////////////
function clearXmlTimeout()
{
	clearTimeout(timeout);
	var splash = document.getElementById('splash') ;	
	if( splash != null ){
		document.getElementById('content_holder').removeChild(splash);
	}
}

