
//7-25-10
//Added support for NTP server addresses


//Include misc functions
document.write("<script src='/user/misc.js' type='text/javascript'></script>");
document.write("<script src='/user/splash.js' type='text/javascript'></script>");
document.write("<script src='/user/tod_control.js' type='text/javascript'></script>");

//global variables
var xmlhttp;

var dateLayer;
var dateCtl;

var timeLayer;
var timeCtl;

var timeout;
var splashDiv;

var ntpCtl1;
var ntpCtl2;
var ntpCtl3;
var ntpCtl4;

var ntpEnableCtl;

var timeZoneCtl;


// 
window.onload = initialize;

//////////////////////////////////////////////////////////////////////////////
function initialize()
{
	xmlhttp = misc_getXmlRequestObject();
	
	timeLayer = document.getElementById('time_layer');
	timeCtl = new todControl("Time");
	timeLayer.appendChild(timeCtl.todDiv);

	dateLayer = document.getElementById('date_layer');
	dateCtl = new todControl("Date");
	dateLayer.appendChild(dateCtl.todDiv);
	dateCtl.setHourLabel("Month");
	dateCtl.setMinLabel("Day");
	dateCtl.setSecLabel("Year");


	ntpCtl1 = document.getElementById("inputNtp1");	
	ntpCtl2 = document.getElementById("inputNtp2");	
	ntpCtl3 = document.getElementById("inputNtp3");	
	ntpCtl4 = document.getElementById("inputNtp4");	
	
	ntpEnableCtl = document.getElementById("enable_ntp");
		
	timeZoneCtl = document.getElementById("inputTimeZone");

	getDateTimeSettings();
//	getNtpServer();
}
/*
//////////////////////////////////////////////////////////////////////////////
// Asynchronously request settings
function getDateTime()
{
	if (xmlhttp!=null){
		xmlhttp.open("GET","/user/date_time.xml",false);
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data
		//xmlhttp.onreadystatechange = onDateTimeResponse;  
		xmlhttp.send(null);
		timeout = setTimeout(xmlTimeout, 2000);
		
		onDateTimeResponse()

		//xmlTimeout();
	}else{
		alert("Your browser does not support XMLHTTP.");
	}
}//get Settings


//////////////////////////////////////////////////////////////////////////////
function onDateTimeResponse()
{
	if(xmlhttp.readyState!=4){
		return;
	}
	
	if(xmlhttp.status == 0 ){
		//Status that seems to happen when we close a page with a pending request.
		return;
	}

	if(xmlhttp.status!=200){
		alert("Problem retrieving XML data");
		return;
	}
	
	clearXmlTimeout();
	

	var hour, min, sec;
	var month, day, year;
	
	
	//Get time
	var timeElem= xmlhttp.responseXML.documentElement.getElementsByTagName("Time")[0];
	if( timeElem!= null ) {
		hour = timeElem.getAttribute("hour");
		min = timeElem.getAttribute("min");
		sec = timeElem.getAttribute("sec");
	}else{
		hour = 0;	//set to end of day
		min = 0;
		sec = 0;
	}
	timeCtl.setTime(hour, min, sec);


	//Get date
	var dateElem= xmlhttp.responseXML.documentElement.getElementsByTagName("Date")[0];
	if( dateElem!= null ) {
		month = dateElem.getAttribute("month");
		day = dateElem.getAttribute("day");
		year = dateElem.getAttribute("year");
	}else{
		month = 1;	//set to end of day
		day = 1;
		year = 2000;
	}
	dateCtl.setTime(month, day, year);
	
	//set it up to automatically request data
	//setTimeout(getDateTime, 1000);

	
} // on Reponse serttings

*/

//////////////////////////////////////////////////////////////////////////////
// Asynchronously request settings
function getDateTimeSettings()
{
	if (xmlhttp!=null){
		xmlhttp.open("GET","/admin/date_time_settings.xml",false);
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data
		//xmlhttp.onreadystatechange = onDateTimeResponse;  
		xmlhttp.send(null);
		timeout = setTimeout(xmlTimeout, 2000);
		
		onDateTimeSettingsResponse()

		//xmlTimeout();
	}else{
		alert("Your browser does not support XMLHTTP.");
	}
}//get Settings


//////////////////////////////////////////////////////////////////////////////
function onDateTimeSettingsResponse()
{
	if(xmlhttp.readyState!=4){
		return;
	}
	
	if(xmlhttp.status == 0 ){
		//Status that seems to happen when we close a page with a pending request.
		return;
	}

	if(xmlhttp.status!=200){
		alert("Problem retrieving XML data");
		return;
	}
	
	clearXmlTimeout();
	

	var hour, min, sec;
	var month, day, year;
	var	enableNtp = "no";
	
	timeZoneCtl.value = "0";
	
	var timeSettingsElem = xmlhttp.responseXML.documentElement.getElementsByTagName("TimeSettings")[0];
	if( timeSettingsElem!= null ) {
		enableNtp = timeSettingsElem.getAttribute("ntp_enabled");
		timeZoneCtl.value = timeSettingsElem.getAttribute("timezone");
	}
	
	timeZoneCtl.value

	if( enableNtp == "yes" ) {
		ntpEnableCtl.checked = true;	
	}else{
		ntpEnableCtl.checked = false;	
	}
	ntpEnableChange();

	//Get time
	var timeElem= xmlhttp.responseXML.documentElement.getElementsByTagName("Time")[0];
	if( timeElem!= null ) {
		hour = timeElem.getAttribute("hour");
		min = timeElem.getAttribute("min");
		sec = timeElem.getAttribute("sec");
	}else{
		hour = 0;	//set to end of day
		min = 0;
		sec = 0;
	}
	timeCtl.setTime(hour, min, sec);


	//Get date
	var dateElem= xmlhttp.responseXML.documentElement.getElementsByTagName("Date")[0];
	if( dateElem!= null ) {
		month = dateElem.getAttribute("month");
		day = dateElem.getAttribute("day");
		year = dateElem.getAttribute("year");
	}else{
		month = 1;	//set to end of day
		day = 1;
		year = 2000;
	}
	dateCtl.setTime(month, day, year);
	
	//Get NTP servers
	var serverElem= xmlhttp.responseXML.documentElement.getElementsByTagName("Server1")[0];
	if( serverElem!= null ) {
		ntpCtl1.value = serverElem.getAttribute("address");
	}else{
		ntpCtl1.value= "";
	}

	serverElem= xmlhttp.responseXML.documentElement.getElementsByTagName("Server2")[0];
	if( serverElem!= null ) {
		ntpCtl2.value = serverElem.getAttribute("address");
	}else{
		ntpCtl2.value= "";
	}

	serverElem= xmlhttp.responseXML.documentElement.getElementsByTagName("Server3")[0];
	if( serverElem!= null ) {
		ntpCtl3.value = serverElem.getAttribute("address");
	}else{
		ntpCtl3.value= "";
	}

	serverElem= xmlhttp.responseXML.documentElement.getElementsByTagName("Server4")[0];
	if( serverElem!= null ) {
		ntpCtl4.value = serverElem.getAttribute("address");
	}else{
		ntpCtl4.value= "";
	}

	
} // on Reponse settings

/*
//////////////////////////////////////////////////////////////////////////////
function getNtpServer()
{
	if (xmlhttp!=null){
		xmlhttp.open("GET","/admin/ntp_server.xml",false);
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data
	//	xmlhttp.onreadystatechange = onNtpServerResponse;  
		xmlhttp.send(null);
		timeout = setTimeout(xmlTimeout, 2000);
		//xmlTimeout();
		
		onNtpServerResponse()

	}else{
		alert("Your browser does not support XMLHTTP.");
	}
}//get Settings
*/

//////////////////////////////////////////////////////////////////////////////
function onNtpServerResponse()
{
	if(xmlhttp.readyState!=4){
		return;
	}
	
	if(xmlhttp.status == 0 ){
		//Status that seems to happen when we close a page with a pending request.
		return;
	}

	if(xmlhttp.status!=200){
		alert("Problem retrieving XML data");
		return;
	}
	
	clearXmlTimeout();
	
	//Get time
	var serverElem= xmlhttp.responseXML.documentElement.getElementsByTagName("Servers")[0];
	if( serverElem!= null ) {
		ntpCtl1.value = serverElem.getAttribute("server1");
		ntpCtl2.value = serverElem.getAttribute("server2");
		ntpCtl3.value = serverElem.getAttribute("server3");
		ntpCtl4.value = serverElem.getAttribute("server4");
		
	}else{
		ntpCtl1.value= "";
		ntpCtl2.value= "";
		ntpCtl3.value= "";
		ntpCtl4.value= "";
	}
	
} // on NTP server Reponse 

//////////////////////////////////////////////////////////////////////////////
function setTimeSettings()
{
	//create an XML document to send back settings
	xmlSettingsDoc= misc_createXmlDoc();
	
	var root = xmlSettingsDoc.createElement("Settings");
	xmlSettingsDoc.appendChild(root );

	var timeSettingsElem = xmlSettingsDoc.createElement("TimeSettings");
	root.appendChild(timeSettingsElem );

	timeSettingsElem .setAttribute("timezone", timeZoneCtl.value );	
	
	if( ntpEnableCtl.checked == true ) {
		timeSettingsElem .setAttribute("ntp_enabled", "yes" );	
	}else{
		timeSettingsElem .setAttribute("ntp_enabled", "no" );	
	}
	
	var currentTimeDateElem = xmlSettingsDoc.createElement("CurrentTimeDate");
	timeSettingsElem.appendChild(currentTimeDateElem );

	//Set clock to this time
	var timeElem = xmlSettingsDoc.createElement("Time");
	currentTimeDateElem .appendChild(timeElem);
	timeElem.setAttribute("hour", timeCtl.getHour() );
	timeElem.setAttribute("min", timeCtl.getMin() );	
	timeElem.setAttribute("sec", timeCtl.getSec() );	

	//Set clock to this date
	var dateElem = xmlSettingsDoc.createElement("Date");
	currentTimeDateElem .appendChild(dateElem );
	dateElem.setAttribute("month", dateCtl.getHour() );
	dateElem.setAttribute("day", dateCtl.getMin() );	
	dateElem.setAttribute("year", dateCtl.getSec() );

	
	var serversElem = xmlSettingsDoc.createElement("NTP_Servers");
	timeSettingsElem.appendChild(serversElem );


	var srvElem = xmlSettingsDoc.createElement("Server1");
	serversElem .appendChild(srvElem );
	srvElem .setAttribute("address", ntpCtl1.value );
	
	srvElem = xmlSettingsDoc.createElement("Server2");
	serversElem .appendChild(srvElem );
	srvElem .setAttribute("address", ntpCtl2.value );

	srvElem = xmlSettingsDoc.createElement("Server3");
	serversElem .appendChild(srvElem );
	srvElem .setAttribute("address", ntpCtl3.value );
	
	srvElem = xmlSettingsDoc.createElement("Server4");
	serversElem .appendChild(srvElem );
	srvElem .setAttribute("address", ntpCtl4.value );

	if (xmlhttp!=null){
		xmlhttp.open("POST","/admin/set_date_time_settings",false);
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data
		//xmlhttp.onreadystatechange = onNtpServerResponse;  //read back settings
		xmlhttp.send(xmlSettingsDoc);
		timeout = setTimeout(xmlTimeout, 2000);
		
		onDateTimeSettingsResponse();
	}else{
		alert("Your browser does not support XMLHTTP.");
	}
	

	
}//set time settings

////////////////////////////////////////////////////////////////////////////////////////////
function ntpEnableChange()
{
	if( ntpEnableCtl.checked == true ) {
		enableNtp()
	}else{
		disableNtp();
	}
}


////////////////////////////////////////////////////////////////////////////////////////////
function enableNtp()
{
//	busySplashDiv.style.visibility="visible";

	//disable the NTP server entries
	document.getElementById('inputNtp1').disabled=false;
	document.getElementById('inputNtp2').disabled=false;
	document.getElementById('inputNtp3').disabled=false;
	document.getElementById('inputNtp4').disabled=false;

	//enable he time and date entries
	timeCtl.hourInput.disabled=true;
	timeCtl.minInput.disabled=true;
	timeCtl.secInput.disabled=true;
	
	dateCtl.hourInput.disabled=true;
	dateCtl.minInput.disabled=true;
	dateCtl.secInput.disabled=true;

}
	
////////////////////////////////////////////////////////////////////////////////////////////
function disableNtp()
{
//	busySplashDiv.style.visibility="hidden";	


	//enable the NTP server entries	
	document.getElementById('inputNtp1').disabled=true;
	document.getElementById('inputNtp2').disabled=true;
	document.getElementById('inputNtp3').disabled=true;
	document.getElementById('inputNtp4').disabled=true;
	
	//disable time and date entries
	timeCtl.hourInput.disabled=false;
	timeCtl.minInput.disabled=false;
	timeCtl.secInput.disabled=false;
	
	dateCtl.hourInput.disabled=false;
	dateCtl.minInput.disabled=false;
	dateCtl.secInput.disabled=false;


}

////////////////////////////////////////////////////////////////////////////////////////////
function xmlTimeout()
{

	splashDiv = getSplash("Mutli-Tracer Busy", "Please wait", document.getElementById('content_holder') );
	splashDiv.id = "splash";

}

////////////////////////////////////////////////////////////////////////////////////////////
function clearXmlTimeout()
{
	clearTimeout(timeout);
	var splash = document.getElementById('splash') ;	
	if( splash != null ){
		document.getElementById('content_holder').removeChild(splash);
	}
}



