﻿

var NUM_SEC_PER_DAY=86400;	//number of seconds in a day


//////////////////////////////////////////////////////////////////////////
//used to get array of data pirs from URL search string (the part after the ? )
function misc_getSearchArray()
{
	var results = new Array();
	var input = unescape(location.search.substr(1));
	if ( input ) {
		var srchArray = input.split("&");
		var tempArray = new Array();
		for( var i = 0; i < srchArray.length; i++ ) {
			tempArray = srchArray[i].split("=");
			results[tempArray[0] ] = tempArray[1];
		}
	}
	return results;
}




//////////////////////////////////////////////////////////////////////////////
function misc_getXmlRequestObject() {
	var xmlHttp;
	xmlHttp = null;
	if (window.XMLHttpRequest){// code for IE7, Firefox, Mozilla, etc.
		xmlHttp = new XMLHttpRequest();
	}else if (window.ActiveXObject){// code for IE5, IE6
		xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	return xmlHttp ;
}

//////////////////////////////////////////////////////////////////////////////
function misc_createXmlDoc()
{
	var xmlDoc;
	
	// code for IE
	if (document.implementation && document.implementation.createDocument) { // code for Mozilla, Firefox, Opera, etc.
		xmlDoc = document.implementation.createDocument("","",null);
	}else if (window.ActiveXObject){
		xmlDoc = new ActiveXObject("Microsoft.XMLDOM");		
	}else{
		alert('Cannot create XML document.');
	}
	
//	xmlDoc.async=false;
//	xmlDoc.load(fname);

	xmlStmt = xmlDoc.createProcessingInstruction("xml"," version=\"1.0\" encoding=\"UTF-8\" ");
	xmlDoc.appendChild(xmlStmt);
	return xmlDoc;
}


//////////////////////////////////////////////////////////////////////////////
function misc_appendTextCell( tableRow, text) {
	newCell = document.createElement("td");
	cellText = document.createTextNode(text);
	newCell.appendChild(cellText);
	tableRow.appendChild(newCell);
	return newCell;
}

//////////////////////////////////////////////////////////////////////////////
// Finds the first occurance of an elemnt in the array of elements that has the 
// given attribute and attribute value.
function misc_findElement( elements, attribute, value)
{
	for(i=0; i < elements.length; i++ ) {
		v = elements[i].getAttribute(attribute);
		if ( v == value ) {
			return elements[i];
		}
	}

	//if it wasn't found, return a null
	return null;
} //find element


//////////////////////////////////////////////////////////////////////////////
// Get value of checked radio button form array of buttons
function misc_getRadioValue(buttons)
{
	var value = null;
	for (var i=0; i < buttons.length; i++){
		if (buttons[i].checked){
			value = buttons[i].value;
		}
	}
	return value;
}

//////////////////////////////////////////////////////////////////////////////
//set checked radio button matching given valye
function misc_setRadioValue(buttons, value)
{
	for (var i=0; i < buttons.length; i++){
		if (buttons[i].value == value){
			buttons[i].checked = true;
		}else{
			buttons[i].checked = false;
		}
	}
}



//////////////////////////////////////////////////////////////////////////////
//Define time of day object
function time_of_day(total_seconds)
{	
	if( total_seconds >= NUM_SEC_PER_DAY) {
		total_seconds = NUM_SEC_PER_DAY - 1;
	}else if (total_seconds < 0 ) {
		total_seconds = 0;
	}

	this.hour = 0;
	this.min = 0;
	this.sec = 0;
	
	this.totalSeconds =  totalSeconds;
	
	//this are used to provide limiting when setting new values
	this.setSeconds = setSeconds;
	this.setHours = setHours;
	this.setMinutes = setMinutes;

	this.getSeconds = function getSeconds() { return this.sec; };
	this.getHours = function getHours() { return this.hour; };
	this.getMinutes = function getMinutes() { return this.min; };

	this.hour = Math.floor(total_seconds / 3600 );
	
	//first subtract of the hours
	this.min = total_seconds - this.hour * 3600;
	this.min = Math.floor(this.min / 60); //this is minutes
	
	this.sec = total_seconds - (this.hour * 3600)  - (this. min * 60);

	//limit it to real value
	if( this.hour > 23 ) {
		this.hour = 23;
	}

	//limit it to real value (shouldn't be possible gven above math)
	if( this.min > 59) {
		this.min = 59;
	}

	//limit it to real value (shouldn't be possible gven above math)
	if( this.sec > 59) {
		this.sec = 59;
	}

	
	//////////
	function totalSeconds()
	{	
		return this.hour * 3600 + this.min * 60 + this.sec;
	}

	//////////
	function setHours( newHours)
	{	
		if( newHours> 23 ) {
			this.hour= 23;
		}else if ( newHours< 0 ) {
			this.hour= 0;
		}else{
			this.hour= newHours;
		}
		return this.hour;
	}

	//////////
	function setMinutes( newMinutes)
	{	
		if( newMinutes> 59 ) {
			this.min = 59;
		}else if ( newMinutes< 0 ) {
			this.min = 0;
		}else{
			this.min = newMinutes;
		}
		return this.min ;
	}

	//////////
	function setSeconds( newSeconds)
	{	
		if( newSeconds > 59 ) {
			this.sec = 59;
		}else if ( newSeconds < 0 ) {
			this.sec = 0;
		}else{
			this.sec = newSeconds;
		}
		return this.sec;
	}
//	function getSeconds() { return this.sec; };
//	function getHours() { return this.hours; };
//	function getMinutes() { return this.min; } ;

}// time of day

